=== debian/changelog ===
ros-one-pass-through-controllers (0.1.0-13noble.20251023.1430) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Stefan Scherzinger <scherzin@fzi.de>  Thu, 23 Oct 2025 14:30:07 +0000

ros-one-pass-through-controllers (0.1.0-0noble) noble; urgency=high

  * Initial release
  * Contributors: Felix Exner, Rune Søe-Knudsen, Stefan Scherzinger

 -- Stefan Scherzinger <scherzin@fzi.de>  Tue, 15 Jun 2021 00:00:00 -0000
