=== debian/control ===
Source: ros-one-pass-through-controllers
Section: misc
Priority: optional
Maintainer: Stefan Scherzinger <scherzin@fzi.de>
Build-Depends: debhelper (>= 9.0.0), ros-one-actionlib, ros-one-cartesian-control-msgs, ros-one-cartesian-interface, ros-one-cartesian-trajectory-controller, ros-one-catkin, ros-one-control-msgs, ros-one-controller-interface, ros-one-controller-manager, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-hardware-interface, ros-one-pluginlib, ros-one-roscpp, ros-one-speed-scaling-interface, ros-one-trajectory-msgs
Homepage: http://wiki.ros.org/pass_through_controllers
Standards-Version: 3.9.2

Package: ros-one-pass-through-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-actionlib, ros-one-cartesian-control-msgs, ros-one-cartesian-interface, ros-one-cartesian-trajectory-controller, ros-one-control-msgs, ros-one-controller-interface, ros-one-controller-manager, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-hardware-interface, ros-one-pluginlib, ros-one-roscpp, ros-one-speed-scaling-interface, ros-one-trajectory-msgs
Description: Trajectory controllers (joint-based and Cartesian) that forward trajectories directly to a robot controller and let it handle trajectory interpolation and execution.
